## gnome-keysign 0.9

=== requirements.txt ===
# Debian packages
#monkeysign==1.1
# FIXME: gobject?

# Python packages
requests
qrcode


# Additional Development packages
pytest
pytest-xdist
pylint
pep8

# Distribution packages
# python2
# python2-gobject
# avahi
# dbus

=== debian/changelog ===
gnome-keysign (0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 12 May 2017 10:32:38 +0200

gnome-keysign (0.8-1) unstable; urgency=low

  * Initial release. (Closes: #771975)

 -- Sascha Steinbiss <satta@debian.org>  Wed, 15 Mar 2017 15:36:15 +0100

=== debian/control ===
Source: gnome-keysign
Section: utils
Priority: optional
Maintainer: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python,
               python-setuptools,
               python-distutils-extra,
               txt2man
Standards-Version: 3.9.8
Homepage: https://github.com/gnome-keysign/gnome-keysign

Package: gnome-keysign
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         avahi-daemon,
         python-avahi,
         python-cairo,
         python-dbus,
         python-gi,
         python-gi-cairo,
         python-qrcode,
         python-requests,
         monkeysign (>=2.1.0),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gstreamer-1.0,
         gir1.2-gst-plugins-base-1.0,
         gstreamer1.0-plugins-bad,
         gstreamer1.0-plugins-good,
         gstreamer1.0-x
Description: easy signing of OpenPGP keys over the local network
 GNOME Keysign is a tool for signing OpenPGP keys.
 .
 Its purpose is to ease signing other peoples' keys. It is similar to caff,
 PIUS, or monkeysign. In fact, it is influenced a lot by these tools and
 either reimplements ideas or reuses code. Consider either of the above
 mentioned tools when you need a much more mature codebase.
 .
 In contrast to caff or monkeysign, this tool enables you to sign a key
 without contacting a key server. It downloads an authenticated copy of the
 key from the other party. For now, the key is authenticated by its fingerprint
 which is securely transferred via a QR code. Alternatively, the user may type
 the fingerprint manually, assuming that it has been transferred securely via
 the audible channel.
 .
 After having obtained an authentic copy of the key, its UIDs are signed. The
 signatures are then encrypted and sent via email. In contrast to monkeysign,
 xdg-email is used to pop up a pre-filled email composer windows of the mail
 client the user has configured to use. This greatly reduces complexity as no
 SMTP configuration needs to be obtained and gives the user a well known
 interface.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=geysigning
UPSTREAM_VERSION=$(shell dpkg-parsechangelog -SVersion | cut -d- -f1)
TIMESTAMP=$(shell dpkg-parsechangelog -STimestamp)
DATE=$(shell date --date=@$(TIMESTAMP) '+%d %B %Y')

MANPAGES=debian/man/gnome-keysign.1 \
         debian/man/gks-qrcode.1

%.1: %.1.txt
	TZ=UTC LC_ALL=C \
	  txt2man -d "$(DATE)" \
	  -s 1 -r "GNOME Keysign $(UPSTREAM_VERSION)" \
	  -t $(shell basename -a -s.1 $@) \
	  $< > $@

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian -name '*.pyc' -delete

override_dh_installman: $(MANPAGES)
	dh_installman

override_dh_auto_clean:
	rm -f $(MANPAGES)
	dh_clean

## gnome-keysign 0.9.7

=== debian/changelog ===
gnome-keysign (0.9.7-1) unstable; urgency=medium

  * New upstream version, direct preparation for upload to unstable.
  * Drop unneeded patches.
  * Add new runtime dep on gstreamer1.0-gtk to provide gtksink.
  * Update Lintian overrides.
  * Bump debhelper compat level.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 09 May 2018 14:42:52 +0200

gnome-keysign (0.9.6-1~exp2) experimental; urgency=medium

  * Use xvfb-run to run tests.
  * Add python-gpg as a runtime dependency.
    Thanks to Tobias Mueller (upstream) for the patches.
  * Respect nocheck flag in test override.
  * Update pybuild project name.
  * Remove unneeded patch file.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 13 Feb 2018 09:54:50 +0100

gnome-keysign (0.9.6-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 15 Dec 2017 18:47:28 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,29 @@
 Section: utils
 Priority: optional
 Maintainer: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python,
                python-setuptools,
                python-distutils-extra,
-               txt2man
-Standards-Version: 3.9.8
+               python-lxml,
+               python-babel,
+               python-twisted,
+               python-qrcode,
+               python-requests,
+               python-nose,
+               python-gi,
+               python-gi-cairo,
+               python-gpg,
+               python-dbus,
+               gir1.2-glib-2.0,
+               gir1.2-gtk-3.0,
+               gir1.2-gstreamer-1.0,
+               gir1.2-gst-plugins-base-1.0,
+               txt2man,
+               xvfb,
+               xauth
+Standards-Version: 4.1.4
 Homepage: https://github.com/gnome-keysign/gnome-keysign
 
 Package: gnome-keysign
@@ -21,16 +37,17 @@
          python-dbus,
          python-gi,
          python-gi-cairo,
+         python-gpg,
          python-qrcode,
          python-requests,
-         monkeysign (>=2.1.0),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
          gir1.2-gstreamer-1.0,
          gir1.2-gst-plugins-base-1.0,
          gstreamer1.0-plugins-bad,
          gstreamer1.0-plugins-good,
-         gstreamer1.0-x
+         gstreamer1.0-x,
+         gstreamer1.0-gtk
 Description: easy signing of OpenPGP keys over the local network
  GNOME Keysign is a tool for signing OpenPGP keys.
  .

## gnome-keysign 0.9.7.1

=== debian/changelog ===
gnome-keysign (0.9.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 16 May 2018 00:48:11 +0200

gnome-keysign (0.9.7-2) unstable; urgency=medium

  * Fix dependency for gstreamer1.0-gtk3.
    Closes: #898305
  * Use correct path for appdata XML.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 10 May 2018 08:29:07 +0200

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
          gstreamer1.0-plugins-bad,
          gstreamer1.0-plugins-good,
          gstreamer1.0-x,
-         gstreamer1.0-gtk
+         gstreamer1.0-gtk3
 Description: easy signing of OpenPGP keys over the local network
  GNOME Keysign is a tool for signing OpenPGP keys.
  .

## gnome-keysign 0.9.7.2

=== debian/changelog ===
gnome-keysign (0.9.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch applied by upstream.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 18 May 2018 02:47:02 +0200

## gnome-keysign 0.9.8

=== debian/changelog ===
gnome-keysign (0.9.8-1) unstable; urgency=medium

  * Add Vcs-* fields in d/control.
  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 05 Jul 2018 18:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,8 @@
                xauth
 Standards-Version: 4.1.4
 Homepage: https://github.com/gnome-keysign/gnome-keysign
+Vcs-Browser: https://salsa.debian.org/debian/gnome-keysign
+Vcs-Git: https://salsa.debian.org/debian/gnome-keysign.git
 
 Package: gnome-keysign
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #! /usr/bin/make -f
 
-export PYBUILD_NAME=geysigning
+export PYBUILD_NAME=gnome-keysign
 UPSTREAM_VERSION=$(shell dpkg-parsechangelog -SVersion | cut -d- -f1)
 TIMESTAMP=$(shell dpkg-parsechangelog -STimestamp)
 DATE=$(shell date --date=@$(TIMESTAMP) '+%d %B %Y')
+export LC_ALL=C.UTF-8
 
 MANPAGES=debian/man/gnome-keysign.1 \
          debian/man/gks-qrcode.1
@@ -28,3 +29,8 @@
 override_dh_auto_clean:
 	rm -f $(MANPAGES)
 	dh_clean
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	xvfb-run -a dh_auto_test
+endif

## gnome-keysign 1.0.1

=== debian/changelog ===
gnome-keysign (1.0.1-3ubuntu1) eoan; urgency=medium

  * Build-depend on pylint which is now python3, not pylint3.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 25 Sep 2019 15:34:12 -0700

gnome-keysign (1.0.1-3) unstable; urgency=medium

  * Include patch to provide translations in order.
    This could help with making the build reproducible.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 01 Feb 2019 17:43:39 +0100

gnome-keysign (1.0.1-2) unstable; urgency=medium

  * Disable wormhole tests requiring Internet access.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 23 Jan 2019 12:05:44 +0100

gnome-keysign (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch to Python 3.
  * Add new test dependencies.
  * Remove pgpy as test dependency.
  * Use upstream's test target.
  * Skip test requiring dbus.
  * Use debhelper 12.
  * Bump Standards-Version.
  * Avoid using dpkg-parsechangelog.
  * Update lintian overrides.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 22 Jan 2019 10:35:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,28 @@
 Source: gnome-keysign
 Section: utils
 Priority: optional
-Maintainer: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 11),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sascha Steinbiss <satta@debian.org>
+Build-Depends: debhelper (>= 12~),
                dh-python,
-               python,
-               python-setuptools,
-               python-distutils-extra,
-               python-lxml,
-               python-babel,
-               python-twisted,
-               python-qrcode,
-               python-requests,
-               python-nose,
-               python-gi,
-               python-gi-cairo,
-               python-gpg,
-               python-dbus,
+               python3,
+               python3-setuptools,
+               python3-distutils-extra,
+               python3-lxml,
+               python3-babel,
+               python3-twisted,
+               python3-qrcode,
+               python3-requests,
+               python3-nose,
+               python3-gi,
+               python3-gi-cairo,
+               python3-gpg,
+               python3-dbus,
+               python3-future,
+               python3-pycodestyle,
+               pylint,
+               tox,
+               magic-wormhole,
                gir1.2-glib-2.0,
                gir1.2-gtk-3.0,
                gir1.2-gstreamer-1.0,
@@ -24,24 +30,24 @@
                txt2man,
                xvfb,
                xauth
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/gnome-keysign/gnome-keysign
 Vcs-Browser: https://salsa.debian.org/debian/gnome-keysign
 Vcs-Git: https://salsa.debian.org/debian/gnome-keysign.git
 
 Package: gnome-keysign
 Architecture: all
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends},
          avahi-daemon,
-         python-avahi,
-         python-cairo,
-         python-dbus,
-         python-gi,
-         python-gi-cairo,
-         python-gpg,
-         python-qrcode,
-         python-requests,
+         python3-cairo,
+         python3-dbus,
+         python3-gi,
+         python3-gi-cairo,
+         python3-gpg,
+         python3-qrcode,
+         python3-requests,
+         magic-wormhole,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
          gir1.2-gstreamer-1.0,

## gnome-keysign 1.2.0

=== Makefile ===

clean:
		rm -f *.pyc

=== debian/changelog ===
gnome-keysign (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Switch from pylint3 to new not cruft pylint package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Dec 2019 16:38:50 +0100

gnome-keysign (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.
  * Bump Standards-Version.
  * Add patch to use babelglade-extractor correctly.
  * Add runtime dependency to python3-bluetooth.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 07 Nov 2019 23:31:55 +0100

gnome-keysign (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix tests by patching around issues
    (https://github.com/gnome-keysign/gnome-keysign/issues/95)

 -- Sascha Steinbiss <satta@debian.org>  Sat, 14 Sep 2019 11:10:43 +0200

gnome-keysign (1.0.1-4) unstable; urgency=medium

  * Fix FTBFS by making version number parsing more robust.
    See upstream bug #93.
  * Add different license for metadata XML file in d/copyright.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 10 Sep 2019 00:43:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-keysign
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sascha Steinbiss <satta@debian.org>
+Maintainer: Sascha Steinbiss <satta@debian.org>
 Build-Depends: debhelper (>= 12~),
                dh-python,
                python3,
@@ -20,6 +19,7 @@
                python3-dbus,
                python3-future,
                python3-pycodestyle,
+               python3-babelgladeextractor,
                pylint,
                tox,
                magic-wormhole,
@@ -30,7 +30,7 @@
                txt2man,
                xvfb,
                xauth
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/gnome-keysign/gnome-keysign
 Vcs-Browser: https://salsa.debian.org/debian/gnome-keysign
 Vcs-Git: https://salsa.debian.org/debian/gnome-keysign.git
@@ -40,6 +40,7 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          avahi-daemon,
+         python3-bluetooth,
          python3-cairo,
          python3-dbus,
          python3-gi,

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=gnome-keysign
DATE=$(shell date --date=@$(SOURCE_DATE_EPOCH) '+%d %B %Y')
export LC_ALL=C.UTF-8

MANPAGES=debian/man/gnome-keysign.1 \
         debian/man/gks-qrcode.1

%.1: %.1.txt
	TZ=UTC LC_ALL=C \
	  txt2man -d "$(DATE)" \
	  -s 1 -r "GNOME Keysign $(DEB_VERSION_UPSTREAM)" \
	  -t $(shell basename -a -s.1 $@) \
	  $< > $@

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian -name '*.pyc' -delete

override_dh_installman: $(MANPAGES)
	dh_installman

override_dh_auto_clean:
	rm -f $(MANPAGES)
	dh_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a python3 setup.py test
endif

## gnome-keysign 1.3.0

=== Makefile ===
requirements.txt: setup.py
	pip-compile --generate-hashes  |  tee $@
	# Use pip-compile --upgrade  to update the packages


clean:
		rm -f *.pyc

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.8
# To update, run:
#
#    pip-compile --generate-hashes
#
attrs==22.1.0 \
    --hash=sha256:29adc2665447e5191d0e7c568fde78b21f9672d344281d0c6e1ab085429b22b6 \
    --hash=sha256:86efa402f67bf2df34f51a335487cf46b1ec130d02b8d39fd248abfd30da551c
    # via
    #   autobahn
    #   automat
    #   magic-wormhole
    #   service-identity
    #   twisted
autobahn[twisted]==22.7.1 \
    --hash=sha256:8b462ea2e6aad6b4dc0ed45fb800b6cbfeb0325e7fe6983907f122f2be4a1fe9
    # via magic-wormhole
automat==20.2.0 \
    --hash=sha256:7979803c74610e11ef0c0d68a2942b152df52da55336e0c9d58daf1831cbdf33 \
    --hash=sha256:b6feb6455337df834f6c9962d6ccf771515b7d939bca142b29c20c2376bc6111
    # via
    #   magic-wormhole
    #   twisted
    #   txtorcon
certifi==2022.9.14 \
    --hash=sha256:36973885b9542e6bd01dea287b2b4b3b21236307c56324fcc3f1160f2d655ed5 \
    --hash=sha256:e232343de1ab72c2aa521b625c80f699e356830fd0e2c620b465b304b17b0516
    # via requests
cffi==1.15.1 \
    --hash=sha256:00a9ed42e88df81ffae7a8ab6d9356b371399b91dbdf0c3cb1e84c03a13aceb5 \
    --hash=sha256:03425bdae262c76aad70202debd780501fabeaca237cdfddc008987c0e0f59ef \
    --hash=sha256:04ed324bda3cda42b9b695d51bb7d54b680b9719cfab04227cdd1e04e5de3104 \
    --hash=sha256:0e2642fe3142e4cc4af0799748233ad6da94c62a8bec3a6648bf8ee68b1c7426 \
    --hash=sha256:173379135477dc8cac4bc58f45db08ab45d228b3363adb7af79436135d028405 \
    --hash=sha256:198caafb44239b60e252492445da556afafc7d1e3ab7a1fb3f0584ef6d742375 \
    --hash=sha256:1e74c6b51a9ed6589199c787bf5f9875612ca4a8a0785fb2d4a84429badaf22a \
    --hash=sha256:2012c72d854c2d03e45d06ae57f40d78e5770d252f195b93f581acf3ba44496e \
    --hash=sha256:21157295583fe8943475029ed5abdcf71eb3911894724e360acff1d61c1d54bc \
    --hash=sha256:2470043b93ff09bf8fb1d46d1cb756ce6132c54826661a32d4e4d132e1977adf \
    --hash=sha256:285d29981935eb726a4399badae8f0ffdff4f5050eaa6d0cfc3f64b857b77185 \
    --hash=sha256:30d78fbc8ebf9c92c9b7823ee18eb92f2e6ef79b45ac84db507f52fbe3ec4497 \
    --hash=sha256:320dab6e7cb2eacdf0e658569d2575c4dad258c0fcc794f46215e1e39f90f2c3 \
    --hash=sha256:33ab79603146aace82c2427da5ca6e58f2b3f2fb5da893ceac0c42218a40be35 \
    --hash=sha256:3548db281cd7d2561c9ad9984681c95f7b0e38881201e157833a2342c30d5e8c \
    --hash=sha256:3799aecf2e17cf585d977b780ce79ff0dc9b78d799fc694221ce814c2c19db83 \
    --hash=sha256:39d39875251ca8f612b6f33e6b1195af86d1b3e60086068be9cc053aa4376e21 \
    --hash=sha256:3b926aa83d1edb5aa5b427b4053dc420ec295a08e40911296b9eb1b6170f6cca \
    --hash=sha256:3bcde07039e586f91b45c88f8583ea7cf7a0770df3a1649627bf598332cb6984 \
    --hash=sha256:3d08afd128ddaa624a48cf2b859afef385b720bb4b43df214f85616922e6a5ac \
    --hash=sha256:3eb6971dcff08619f8d91607cfc726518b6fa2a9eba42856be181c6d0d9515fd \
    --hash=sha256:40f4774f5a9d4f5e344f31a32b5096977b5d48560c5592e2f3d2c4374bd543ee \
    --hash=sha256:4289fc34b2f5316fbb762d75362931e351941fa95fa18789191b33fc4cf9504a \
    --hash=sha256:470c103ae716238bbe698d67ad020e1db9d9dba34fa5a899b5e21577e6d52ed2 \
    --hash=sha256:4f2c9f67e9821cad2e5f480bc8d83b8742896f1242dba247911072d4fa94c192 \
    --hash=sha256:50a74364d85fd319352182ef59c5c790484a336f6db772c1a9231f1c3ed0cbd7 \
    --hash=sha256:54a2db7b78338edd780e7ef7f9f6c442500fb0d41a5a4ea24fff1c929d5af585 \
    --hash=sha256:5635bd9cb9731e6d4a1132a498dd34f764034a8ce60cef4f5319c0541159392f \
    --hash=sha256:59c0b02d0a6c384d453fece7566d1c7e6b7bae4fc5874ef2ef46d56776d61c9e \
    --hash=sha256:5d598b938678ebf3c67377cdd45e09d431369c3b1a5b331058c338e201f12b27 \
    --hash=sha256:5df2768244d19ab7f60546d0c7c63ce1581f7af8b5de3eb3004b9b6fc8a9f84b \
    --hash=sha256:5ef34d190326c3b1f822a5b7a45f6c4535e2f47ed06fec77d3d799c450b2651e \
    --hash=sha256:6975a3fac6bc83c4a65c9f9fcab9e47019a11d3d2cf7f3c0d03431bf145a941e \
    --hash=sha256:6c9a799e985904922a4d207a94eae35c78ebae90e128f0c4e521ce339396be9d \
    --hash=sha256:70df4e3b545a17496c9b3f41f5115e69a4f2e77e94e1d2a8e1070bc0c38c8a3c \
    --hash=sha256:7473e861101c9e72452f9bf8acb984947aa1661a7704553a9f6e4baa5ba64415 \
    --hash=sha256:8102eaf27e1e448db915d08afa8b41d6c7ca7a04b7d73af6514df10a3e74bd82 \
    --hash=sha256:87c450779d0914f2861b8526e035c5e6da0a3199d8f1add1a665e1cbc6fc6d02 \
    --hash=sha256:8b7ee99e510d7b66cdb6c593f21c043c248537a32e0bedf02e01e9553a172314 \
    --hash=sha256:91fc98adde3d7881af9b59ed0294046f3806221863722ba7d8d120c575314325 \
    --hash=sha256:94411f22c3985acaec6f83c6df553f2dbe17b698cc7f8ae751ff2237d96b9e3c \
    --hash=sha256:98d85c6a2bef81588d9227dde12db8a7f47f639f4a17c9ae08e773aa9c697bf3 \
    --hash=sha256:9ad5db27f9cabae298d151c85cf2bad1d359a1b9c686a275df03385758e2f914 \
    --hash=sha256:a0b71b1b8fbf2b96e41c4d990244165e2c9be83d54962a9a1d118fd8657d2045 \
    --hash=sha256:a0f100c8912c114ff53e1202d0078b425bee3649ae34d7b070e9697f93c5d52d \
    --hash=sha256:a591fe9e525846e4d154205572a029f653ada1a78b93697f3b5a8f1f2bc055b9 \
    --hash=sha256:a5c84c68147988265e60416b57fc83425a78058853509c1b0629c180094904a5 \
    --hash=sha256:a66d3508133af6e8548451b25058d5812812ec3798c886bf38ed24a98216fab2 \
    --hash=sha256:a8c4917bd7ad33e8eb21e9a5bbba979b49d9a97acb3a803092cbc1133e20343c \
    --hash=sha256:b3bbeb01c2b273cca1e1e0c5df57f12dce9a4dd331b4fa1635b8bec26350bde3 \
    --hash=sha256:cba9d6b9a7d64d4bd46167096fc9d2f835e25d7e4c121fb2ddfc6528fb0413b2 \
    --hash=sha256:cc4d65aeeaa04136a12677d3dd0b1c0c94dc43abac5860ab33cceb42b801c1e8 \
    --hash=sha256:ce4bcc037df4fc5e3d184794f27bdaab018943698f4ca31630bc7f84a7b69c6d \
    --hash=sha256:cec7d9412a9102bdc577382c3929b337320c4c4c4849f2c5cdd14d7368c5562d \
    --hash=sha256:d400bfb9a37b1351253cb402671cea7e89bdecc294e8016a707f6d1d8ac934f9 \
    --hash=sha256:d61f4695e6c866a23a21acab0509af1cdfd2c013cf256bbf5b6b5e2695827162 \
    --hash=sha256:db0fbb9c62743ce59a9ff687eb5f4afbe77e5e8403d6697f7446e5f609976f76 \
    --hash=sha256:dd86c085fae2efd48ac91dd7ccffcfc0571387fe1193d33b6394db7ef31fe2a4 \
    --hash=sha256:e00b098126fd45523dd056d2efba6c5a63b71ffe9f2bbe1a4fe1716e1d0c331e \
    --hash=sha256:e229a521186c75c8ad9490854fd8bbdd9a0c9aa3a524326b55be83b54d4e0ad9 \
    --hash=sha256:e263d77ee3dd201c3a142934a086a4450861778baaeeb45db4591ef65550b0a6 \
    --hash=sha256:ed9cb427ba5504c1dc15ede7d516b84757c3e3d7868ccc85121d9310d27eed0b \
    --hash=sha256:fa6693661a4c91757f4412306191b6dc88c1703f780c8234035eac011922bc01 \
    --hash=sha256:fcd131dd944808b5bdb38e6f5b53013c5aa4f334c5cad0c72742f6eba4b73db0
    # via
    #   cryptography
    #   pynacl
charset-normalizer==2.1.1 \
    --hash=sha256:5a3d016c7c547f69d6f81fb0db9449ce888b418b5b9952cc5e6e66843e9dd845 \
    --hash=sha256:83e9a75d1911279afd89352c68b45348559d1fc0506b054b346651b5e7fee29f
    # via requests
click==8.1.3 \
    --hash=sha256:7682dc8afb30297001674575ea00d1814d808d6a36af415a82bd481d37ba7b8e \
    --hash=sha256:bb4d8133cb15a609f44e8213d9b391b0809795062913b383c62be0ee95b1db48
    # via magic-wormhole
constantly==15.1.0 \
    --hash=sha256:586372eb92059873e29eba4f9dec8381541b4d3834660707faf8ba59146dfc35 \
    --hash=sha256:dd2fa9d6b1a51a83f0d7dd76293d734046aa176e384bf6e33b7e44880eb37c5d
    # via twisted
cryptography==38.0.1 \
    --hash=sha256:0297ffc478bdd237f5ca3a7dc96fc0d315670bfa099c04dc3a4a2172008a405a \
    --hash=sha256:10d1f29d6292fc95acb597bacefd5b9e812099d75a6469004fd38ba5471a977f \
    --hash=sha256:16fa61e7481f4b77ef53991075de29fc5bacb582a1244046d2e8b4bb72ef66d0 \
    --hash=sha256:194044c6b89a2f9f169df475cc167f6157eb9151cc69af8a2a163481d45cc407 \
    --hash=sha256:1db3d807a14931fa317f96435695d9ec386be7b84b618cc61cfa5d08b0ae33d7 \
    --hash=sha256:3261725c0ef84e7592597606f6583385fed2a5ec3909f43bc475ade9729a41d6 \
    --hash=sha256:3b72c360427889b40f36dc214630e688c2fe03e16c162ef0aa41da7ab1455153 \
    --hash=sha256:3e3a2599e640927089f932295a9a247fc40a5bdf69b0484532f530471a382750 \
    --hash=sha256:3fc26e22840b77326a764ceb5f02ca2d342305fba08f002a8c1f139540cdfaad \
    --hash=sha256:5067ee7f2bce36b11d0e334abcd1ccf8c541fc0bbdaf57cdd511fdee53e879b6 \
    --hash=sha256:52e7bee800ec869b4031093875279f1ff2ed12c1e2f74923e8f49c916afd1d3b \
    --hash=sha256:64760ba5331e3f1794d0bcaabc0d0c39e8c60bf67d09c93dc0e54189dfd7cfe5 \
    --hash=sha256:765fa194a0f3372d83005ab83ab35d7c5526c4e22951e46059b8ac678b44fa5a \
    --hash=sha256:79473cf8a5cbc471979bd9378c9f425384980fcf2ab6534b18ed7d0d9843987d \
    --hash=sha256:896dd3a66959d3a5ddcfc140a53391f69ff1e8f25d93f0e2e7830c6de90ceb9d \
    --hash=sha256:89ed49784ba88c221756ff4d4755dbc03b3c8d2c5103f6d6b4f83a0fb1e85294 \
    --hash=sha256:ac7e48f7e7261207d750fa7e55eac2d45f720027d5703cd9007e9b37bbb59ac0 \
    --hash=sha256:ad7353f6ddf285aeadfaf79e5a6829110106ff8189391704c1d8801aa0bae45a \
    --hash=sha256:b0163a849b6f315bf52815e238bc2b2346604413fa7c1601eea84bcddb5fb9ac \
    --hash=sha256:b6c9b706316d7b5a137c35e14f4103e2115b088c412140fdbd5f87c73284df61 \
    --hash=sha256:c2e5856248a416767322c8668ef1845ad46ee62629266f84a8f007a317141013 \
    --hash=sha256:ca9f6784ea96b55ff41708b92c3f6aeaebde4c560308e5fbbd3173fbc466e94e \
    --hash=sha256:d1a5bd52d684e49a36582193e0b89ff267704cd4025abefb9e26803adeb3e5fb \
    --hash=sha256:d3971e2749a723e9084dd507584e2a2761f78ad2c638aa31e80bc7a15c9db4f9 \
    --hash=sha256:d4ef6cc305394ed669d4d9eebf10d3a101059bdcf2669c366ec1d14e4fb227bd \
    --hash=sha256:d9e69ae01f99abe6ad646947bba8941e896cb3aa805be2597a0400e0764b5818
    # via
    #   autobahn
    #   pyopenssl
    #   service-identity
    #   txtorcon
future==0.18.2 \
    --hash=sha256:b1bead90b70cf6ec3f0710ae53a525360fa360d306a86583adc6bf83a4db537d
    # via gnome-keysign (setup.py)
hkdf==0.0.3 \
    --hash=sha256:622a31c634bc185581530a4b44ffb731ed208acf4614f9c795bdd70e77991dca
    # via
    #   magic-wormhole
    #   spake2
humanize==4.3.0 \
    --hash=sha256:0dfac79fe8c1c0c734c14177b07b857bad9ae30dd50daa0a14e2c3d8054ee0c4 \
    --hash=sha256:5dd159c9910cd57b94072e4d7decae097f0eb84c4645153706929a7f127cb2ef
    # via magic-wormhole
hyperlink==21.0.0 \
    --hash=sha256:427af957daa58bc909471c6c40f74c5450fa123dd093fc53efd2e91d2705a56b \
    --hash=sha256:e6b14c37ecb73e89c77d78cdb4c2cc8f3fb59a885c5b3f819ff4ed80f25af1b4
    # via
    #   autobahn
    #   twisted
idna==3.4 \
    --hash=sha256:814f528e8dead7d329833b91c5faa87d60bf71824cd12a7530b5526063d02cb4 \
    --hash=sha256:90b77e79eaa3eba6de819a0c442c0b4ceefc341a7a2ab77d7562bf49f425c5c2
    # via
    #   hyperlink
    #   requests
    #   twisted
incremental==21.3.0 \
    --hash=sha256:02f5de5aff48f6b9f665d99d48bfc7ec03b6e3943210de7cfc88856d755d6f57 \
    --hash=sha256:92014aebc6a20b78a8084cdd5645eeaa7f74b8933f70fa3ada2cfbd1e3b54321
    # via
    #   twisted
    #   txtorcon
magic-wormhole==0.12.0 \
    --hash=sha256:1b0fd8a334da978f3dd96b620fa9b9348cabedf26a87f74baac7a37052928160 \
    --hash=sha256:7c9a8d2a6e89314878dda23efc14c78398f1b6eb80e6c86c895c001c888d086e
    # via gnome-keysign (setup.py)
pyasn1==0.4.8 \
    --hash=sha256:39c7e2ec30515947ff4e87fb6f456dfc6e84857d34be479c9d4a4ba4bf46aa5d \
    --hash=sha256:aef77c9fb94a3ac588e87841208bdec464471d9871bd5050a287cc9a475cd0ba
    # via
    #   pyasn1-modules
    #   service-identity
pyasn1-modules==0.2.8 \
    --hash=sha256:905f84c712230b2c592c19470d3ca8d552de726050d1d1716282a1f6146be65e \
    --hash=sha256:a50b808ffeb97cb3601dd25981f6b016cbb3d31fbf57a8b8a87428e6158d0c74
    # via service-identity
pycparser==2.21 \
    --hash=sha256:8ee45429555515e1f6b185e78100aea234072576aa43ab53aefcae078162fca9 \
    --hash=sha256:e644fdec12f7872f86c58ff790da456218b10f863970249516d60a5eaca77206
    # via cffi
pynacl==1.5.0 \
    --hash=sha256:06b8f6fa7f5de8d5d2f7573fe8c863c051225a27b61e6860fd047b1775807858 \
    --hash=sha256:0c84947a22519e013607c9be43706dd42513f9e6ae5d39d3613ca1e142fba44d \
    --hash=sha256:20f42270d27e1b6a29f54032090b972d97f0a1b0948cc52392041ef7831fee93 \
    --hash=sha256:401002a4aaa07c9414132aaed7f6836ff98f59277a234704ff66878c2ee4a0d1 \
    --hash=sha256:52cb72a79269189d4e0dc537556f4740f7f0a9ec41c1322598799b0bdad4ef92 \

=== debian/changelog ===
gnome-keysign (1.3.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove extraneous python3-distutils-extra build dependency.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 13 Feb 2025 21:31:50 +0100

gnome-keysign (1.3.0-5) unstable; urgency=medium

  * Add patch to fix FTBFS.
    Closes: #1092536
  * Bump copyright date.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 08 Feb 2025 00:07:31 +0100

gnome-keysign (1.3.0-4) unstable; urgency=medium

  * Fix SyntaxWarning.
    Closes: #1085623

 -- Sascha Steinbiss <satta@debian.org>  Mon, 18 Nov 2024 08:30:34 +0100

gnome-keysign (1.3.0-3) unstable; urgency=medium

  * Avoid deprecated syntax in tests.
  * Bump copyright date.
  * Bump Standards-Version.
  * Enable building twice in a row by completing clean target.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 28 Feb 2024 11:04:29 +0100

gnome-keysign (1.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove extraneaous dependency on python3-future.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 23 Jan 2024 22:20:54 +0100

gnome-keysign (1.3.0-2) unstable; urgency=medium

  * Skip tests that require external services (magic-wormhole).

 -- Sascha Steinbiss <satta@debian.org>  Tue, 25 Oct 2022 10:26:12 +0200

gnome-keysign (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Change test framework to pytest.
  * Drop obsolete patches.
  * Adjust override syntax.
  * Bump copyright date.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 15 Sep 2022 12:43:28 +0200

gnome-keysign (1.2.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sascha Steinbiss ]
  * Add Rules-Requires-Root.
  * Use debhelper 13.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 18 Jan 2022 09:28:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,21 @@
 Section: utils
 Priority: optional
 Maintainer: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-setuptools,
-               python3-distutils-extra,
                python3-lxml,
                python3-babel,
                python3-twisted,
                python3-qrcode,
                python3-requests,
-               python3-nose,
+               python3-pytest,
+               python3-pytest-twisted,
                python3-gi,
                python3-gi-cairo,
                python3-gpg,
                python3-dbus,
-               python3-future,
                python3-pycodestyle,
                python3-babelgladeextractor,
                pylint,
@@ -30,7 +29,8 @@
                txt2man,
                xvfb,
                xauth
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/gnome-keysign/gnome-keysign
 Vcs-Browser: https://salsa.debian.org/debian/gnome-keysign
 Vcs-Git: https://salsa.debian.org/debian/gnome-keysign.git

=== debian/rules ===
--- 
+++ 
@@ -27,10 +27,13 @@
 	dh_installman
 
 override_dh_auto_clean:
-	rm -f $(MANPAGES)
 	dh_clean
+	rm -rf $(MANPAGES) .pybuild .pytest_cache gnome_keysign.egg-info data/org.gnome.Keysign.appdata.xml data/org.gnome.Keysign.desktop
+	find . -name "__pycache__" -type d -exec rm -r {} +
+	find . -name "*.mo" -delete
+	find . -name "*.pyc" -delete
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	xvfb-run -a python3 setup.py test
+	xvfb-run -a python3 -m pytest
 endif

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gnome-keysign-$1\.tar\.gz/ \
 https://github.com/gnome-keysign/gnome-keysign/tags .*/v?(\d\S+)\.tar\.gz
